Bug 706371 - ERROR with rpm_check_debug vs depsolve
ERROR with rpm_check_debug vs depsolve
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: yum (Show other bugs)
5.8
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: James Antill
Red Hat Satellite QA List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-05-20 06:09 EDT by Vafa Ronaghi
Modified: 2014-01-21 01:23 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-05-24 13:30:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Vafa Ronaghi 2011-05-20 06:09:27 EDT
Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.yum update
2.yum upgrade

  
Actual results:
Total size: 246 M
Is this ok [y/N]: y
Downloading Packages:
Running rpm_check_debug
ERROR with rpm_check_debug vs depsolve:
python is needed by (installed) sqlmap-0.8-1.noarch
Complete!
(1, [u'Please report this error in https://bugzilla.redhat.com/enter_bug.cgi?product=Red%20Hat%20Enterprise%20Linux%205&component=yum'])


Expected results:
OK

Additional info:
Comment 1 James Antill 2011-05-20 10:36:18 EDT
What does:

package-cleanup --problems

...say?
Comment 2 Vafa Ronaghi 2011-05-20 11:38:30 EDT
here is the result of package-cleaneup


# package-cleanup --problems


Setting up yum
Reading local RPM database
Processing all local requires
Missing dependencies:
Package sqlmap requires python >= 2.5
Comment 3 James Antill 2011-05-24 13:30:16 EDT
Which explains the problem, fix the problem with the installed package and upgrades should work fine again.

Note You need to log in before you can comment on or make changes to this bug.